Skip to content

Creators

GET /v1/latest/cat5/tiktok/creators/{region}/{category_id}

Returns the top creators.

Name Type Required Description
region string yes Region code for the market you want data from. One of us, gb, fr, kr, jp, global.
category_id UUID yes Identifier of the category for which creators should be returned.

Top Creators for Korean Sunscreen in the US

Section titled “Top Creators for Korean Sunscreen in the US”
Terminal window
curl https://api.spate.nyc/v1/latest/cat5/tiktok/creators/us/0615732b-941b-4d90-9928-9bf8195015d9 \
-H "Authorization: Bearer $SPATE_API_KEY" | jq
200 OK
{
"key": "/v1/2026w24/cat5/tiktok/creators/us/0615732b-941b-4d90-9928-9bf8195015d9",
"credits_used": 2010,
"data": {
"cat5_id": "0615732b-941b-4d90-9928-9bf8195015d9",
"dashboard": "https://app.spate.nyc/categoryFive/0615732b-941b-4d90-9928-9bf8195015d9/tiktok?country=US#creators",
"creators": [
{
"rank": 1,
"creator_id": "@ryans.shopfinds",
"likes_all_time": 1207812,
"likes_latest_week": 184,
"views_all_time": 61923179,
"views_latest_week": 20867,
"paid_all_time": 1,
"engagement_all_time": 0.0195,
"tiktok_shop_all_time": 1
},
...
{
"rank": 20,
"creator_id": "@lils_yi",
"likes_all_time": 368487,
"likes_latest_week": 641,
"views_all_time": 2497763,
"views_latest_week": 17355,
"paid_all_time": 0.0195,
"engagement_all_time": 0.1475,
"tiktok_shop_all_time": 0
}
],
"call_cost": 10,
"data_cost": 2000
}
}